import { NCard } from 'naive-ui'
import { defineComponent } from 'vue'
// import { defineComponent } from 'vue'
export default defineComponent({
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
  setup(props, { slots }) {
    const { title, description } = props.data
    console.log(slots, '----')
    return () => (
      <>
        <NCard
          title={title}
          v-slots={{
            cover: () => {
              return slots.default?.()
            },
          }}
        >
          {description}
        </NCard>
      </>
    )
  },
})
