import { useRequest } from 'vue-hooks-plus'
import { getTypeTree } from '@/api/types'

const { data } = useRequest(getTypeTree, {
  onError: (error) => {
    console.log(error)
  },
})
const useTypes = () => {
  return {
    data,
  }
}

export default useTypes
